# CMAKE generated file: DO NOT EDIT!
# Generated by "Ninja" Generator, CMake Version 4.1

# This file contains all the build statements describing the
# compilation DAG.

# =============================================================================
# Write statements declared in CMakeLists.txt:
# 
# Which is the root file.
# =============================================================================

# =============================================================================
# Project: jtjai_media
# Configurations: 
# =============================================================================

#############################################
# Minimal version of Ninja required by this file

ninja_required_version = 1.5

# =============================================================================
# Include auxiliary files.


#############################################
# Include rules file.

include CMakeFiles/rules.ninja

# =============================================================================

#############################################
# Logical path to working directory; prefix for absolute paths.

cmake_ninja_workdir = /Users/wenhongquan/CLionProjects/jtjai_media/build/
# =============================================================================
# Object build statements for EXECUTABLE target jtjai_media


#############################################
# Order-only phony target for jtjai_media

build cmake_object_order_depends_target_jtjai_media: phony || .

build CMakeFiles/jtjai_media.dir/main.cpp.o: CXX_COMPILER__jtjai_media_unscanned_ /Users/wenhongquan/CLionProjects/jtjai_media/main.cpp || cmake_object_order_depends_target_jtjai_media
  DEFINES = -DBOOST_CONTAINER_NO_LIB -DBOOST_CONTAINER_STATIC_LINK -DBOOST_JSON_NO_LIB=1 -DBOOST_JSON_STATIC_LINK=1
  DEP_FILE = CMakeFiles/jtjai_media.dir/main.cpp.o.d
  FLAGS = -std=gnu++17 -arch arm64
  INCLUDES = -I/Users/wenhongquan/CLionProjects/jtjai_media/include -I/opt/homebrew/include -isystem /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/include
  OBJECT_DIR = CMakeFiles/jtjai_media.dir
  OBJECT_FILE_DIR = CMakeFiles/jtjai_media.dir

build CMakeFiles/jtjai_media.dir/src/concurrent_calculator.cpp.o: CXX_COMPILER__jtjai_media_unscanned_ /Users/wenhongquan/CLionProjects/jtjai_media/src/concurrent_calculator.cpp || cmake_object_order_depends_target_jtjai_media
  DEFINES = -DBOOST_CONTAINER_NO_LIB -DBOOST_CONTAINER_STATIC_LINK -DBOOST_JSON_NO_LIB=1 -DBOOST_JSON_STATIC_LINK=1
  DEP_FILE = CMakeFiles/jtjai_media.dir/src/concurrent_calculator.cpp.o.d
  FLAGS = -std=gnu++17 -arch arm64
  INCLUDES = -I/Users/wenhongquan/CLionProjects/jtjai_media/include -I/opt/homebrew/include -isystem /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/include
  OBJECT_DIR = CMakeFiles/jtjai_media.dir
  OBJECT_FILE_DIR = CMakeFiles/jtjai_media.dir/src

build CMakeFiles/jtjai_media.dir/src/config.cpp.o: CXX_COMPILER__jtjai_media_unscanned_ /Users/wenhongquan/CLionProjects/jtjai_media/src/config.cpp || cmake_object_order_depends_target_jtjai_media
  DEFINES = -DBOOST_CONTAINER_NO_LIB -DBOOST_CONTAINER_STATIC_LINK -DBOOST_JSON_NO_LIB=1 -DBOOST_JSON_STATIC_LINK=1
  DEP_FILE = CMakeFiles/jtjai_media.dir/src/config.cpp.o.d
  FLAGS = -std=gnu++17 -arch arm64
  INCLUDES = -I/Users/wenhongquan/CLionProjects/jtjai_media/include -I/opt/homebrew/include -isystem /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/include
  OBJECT_DIR = CMakeFiles/jtjai_media.dir
  OBJECT_FILE_DIR = CMakeFiles/jtjai_media.dir/src

build CMakeFiles/jtjai_media.dir/src/http_server.cpp.o: CXX_COMPILER__jtjai_media_unscanned_ /Users/wenhongquan/CLionProjects/jtjai_media/src/http_server.cpp || cmake_object_order_depends_target_jtjai_media
  DEFINES = -DBOOST_CONTAINER_NO_LIB -DBOOST_CONTAINER_STATIC_LINK -DBOOST_JSON_NO_LIB=1 -DBOOST_JSON_STATIC_LINK=1
  DEP_FILE = CMakeFiles/jtjai_media.dir/src/http_server.cpp.o.d
  FLAGS = -std=gnu++17 -arch arm64
  INCLUDES = -I/Users/wenhongquan/CLionProjects/jtjai_media/include -I/opt/homebrew/include -isystem /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/include
  OBJECT_DIR = CMakeFiles/jtjai_media.dir
  OBJECT_FILE_DIR = CMakeFiles/jtjai_media.dir/src

build CMakeFiles/jtjai_media.dir/src/reporter.cpp.o: CXX_COMPILER__jtjai_media_unscanned_ /Users/wenhongquan/CLionProjects/jtjai_media/src/reporter.cpp || cmake_object_order_depends_target_jtjai_media
  DEFINES = -DBOOST_CONTAINER_NO_LIB -DBOOST_CONTAINER_STATIC_LINK -DBOOST_JSON_NO_LIB=1 -DBOOST_JSON_STATIC_LINK=1
  DEP_FILE = CMakeFiles/jtjai_media.dir/src/reporter.cpp.o.d
  FLAGS = -std=gnu++17 -arch arm64
  INCLUDES = -I/Users/wenhongquan/CLionProjects/jtjai_media/include -I/opt/homebrew/include -isystem /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/include
  OBJECT_DIR = CMakeFiles/jtjai_media.dir
  OBJECT_FILE_DIR = CMakeFiles/jtjai_media.dir/src

build CMakeFiles/jtjai_media.dir/src/rtsp_client.cpp.o: CXX_COMPILER__jtjai_media_unscanned_ /Users/wenhongquan/CLionProjects/jtjai_media/src/rtsp_client.cpp || cmake_object_order_depends_target_jtjai_media
  DEFINES = -DBOOST_CONTAINER_NO_LIB -DBOOST_CONTAINER_STATIC_LINK -DBOOST_JSON_NO_LIB=1 -DBOOST_JSON_STATIC_LINK=1
  DEP_FILE = CMakeFiles/jtjai_media.dir/src/rtsp_client.cpp.o.d
  FLAGS = -std=gnu++17 -arch arm64
  INCLUDES = -I/Users/wenhongquan/CLionProjects/jtjai_media/include -I/opt/homebrew/include -isystem /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/include
  OBJECT_DIR = CMakeFiles/jtjai_media.dir
  OBJECT_FILE_DIR = CMakeFiles/jtjai_media.dir/src

build CMakeFiles/jtjai_media.dir/src/scheduler.cpp.o: CXX_COMPILER__jtjai_media_unscanned_ /Users/wenhongquan/CLionProjects/jtjai_media/src/scheduler.cpp || cmake_object_order_depends_target_jtjai_media
  DEFINES = -DBOOST_CONTAINER_NO_LIB -DBOOST_CONTAINER_STATIC_LINK -DBOOST_JSON_NO_LIB=1 -DBOOST_JSON_STATIC_LINK=1
  DEP_FILE = CMakeFiles/jtjai_media.dir/src/scheduler.cpp.o.d
  FLAGS = -std=gnu++17 -arch arm64
  INCLUDES = -I/Users/wenhongquan/CLionProjects/jtjai_media/include -I/opt/homebrew/include -isystem /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/include
  OBJECT_DIR = CMakeFiles/jtjai_media.dir
  OBJECT_FILE_DIR = CMakeFiles/jtjai_media.dir/src


# =============================================================================
# Link build statements for EXECUTABLE target jtjai_media


#############################################
# Link the executable jtjai_media

build jtjai_media: CXX_EXECUTABLE_LINKER__jtjai_media_ CMakeFiles/jtjai_media.dir/main.cpp.o CMakeFiles/jtjai_media.dir/src/concurrent_calculator.cpp.o CMakeFiles/jtjai_media.dir/src/config.cpp.o CMakeFiles/jtjai_media.dir/src/http_server.cpp.o CMakeFiles/jtjai_media.dir/src/reporter.cpp.o CMakeFiles/jtjai_media.dir/src/rtsp_client.cpp.o CMakeFiles/jtjai_media.dir/src/scheduler.cpp.o | /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/debug/lib/libfmtd.a /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/debug/lib/libboost_json.a /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/debug/lib/libboost_system.a /opt/homebrew/lib/libavformat.dylib /opt/homebrew/lib/libavcodec.dylib /opt/homebrew/lib/libavutil.dylib /opt/homebrew/lib/libswscale.dylib /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/debug/lib/libboost_container.a
  FLAGS = -arch arm64
  LINK_FLAGS = -Wl,-search_paths_first -Wl,-headerpad_max_install_names -L/opt/homebrew/opt/ruby/lib
  LINK_LIBRARIES = /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/debug/lib/libfmtd.a  /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/debug/lib/libboost_json.a  /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/debug/lib/libboost_system.a  /opt/homebrew/lib/libavformat.dylib  /opt/homebrew/lib/libavcodec.dylib  /opt/homebrew/lib/libavutil.dylib  /opt/homebrew/lib/libswscale.dylib  -lpthread  /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/debug/lib/libboost_container.a
  OBJECT_DIR = CMakeFiles/jtjai_media.dir
  POST_BUILD = :
  PRE_LINK = :
  TARGET_FILE = jtjai_media
  TARGET_PDB = jtjai_media.dbg

# =============================================================================
# Object build statements for EXECUTABLE target jtjai_http_server


#############################################
# Order-only phony target for jtjai_http_server

build cmake_object_order_depends_target_jtjai_http_server: phony || .

build CMakeFiles/jtjai_http_server.dir/http_server_main.cpp.o: CXX_COMPILER__jtjai_http_server_unscanned_ /Users/wenhongquan/CLionProjects/jtjai_media/http_server_main.cpp || cmake_object_order_depends_target_jtjai_http_server
  DEFINES = -DBOOST_CONTAINER_NO_LIB -DBOOST_CONTAINER_STATIC_LINK -DBOOST_JSON_NO_LIB=1 -DBOOST_JSON_STATIC_LINK=1
  DEP_FILE = CMakeFiles/jtjai_http_server.dir/http_server_main.cpp.o.d
  FLAGS = -std=gnu++17 -arch arm64
  INCLUDES = -I/Users/wenhongquan/CLionProjects/jtjai_media/include -I/opt/homebrew/include -isystem /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/include
  OBJECT_DIR = CMakeFiles/jtjai_http_server.dir
  OBJECT_FILE_DIR = CMakeFiles/jtjai_http_server.dir

build CMakeFiles/jtjai_http_server.dir/src/http_server.cpp.o: CXX_COMPILER__jtjai_http_server_unscanned_ /Users/wenhongquan/CLionProjects/jtjai_media/src/http_server.cpp || cmake_object_order_depends_target_jtjai_http_server
  DEFINES = -DBOOST_CONTAINER_NO_LIB -DBOOST_CONTAINER_STATIC_LINK -DBOOST_JSON_NO_LIB=1 -DBOOST_JSON_STATIC_LINK=1
  DEP_FILE = CMakeFiles/jtjai_http_server.dir/src/http_server.cpp.o.d
  FLAGS = -std=gnu++17 -arch arm64
  INCLUDES = -I/Users/wenhongquan/CLionProjects/jtjai_media/include -I/opt/homebrew/include -isystem /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/include
  OBJECT_DIR = CMakeFiles/jtjai_http_server.dir
  OBJECT_FILE_DIR = CMakeFiles/jtjai_http_server.dir/src


# =============================================================================
# Link build statements for EXECUTABLE target jtjai_http_server


#############################################
# Link the executable jtjai_http_server

build jtjai_http_server: CXX_EXECUTABLE_LINKER__jtjai_http_server_ CMakeFiles/jtjai_http_server.dir/http_server_main.cpp.o CMakeFiles/jtjai_http_server.dir/src/http_server.cpp.o | /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/debug/lib/libfmtd.a /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/debug/lib/libboost_json.a /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/debug/lib/libboost_system.a /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/debug/lib/libboost_container.a
  FLAGS = -arch arm64
  LINK_FLAGS = -Wl,-search_paths_first -Wl,-headerpad_max_install_names -L/opt/homebrew/opt/ruby/lib
  LINK_LIBRARIES = /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/debug/lib/libfmtd.a  /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/debug/lib/libboost_json.a  /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/debug/lib/libboost_system.a  -lpthread  /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/debug/lib/libboost_container.a
  OBJECT_DIR = CMakeFiles/jtjai_http_server.dir
  POST_BUILD = :
  PRE_LINK = :
  TARGET_FILE = jtjai_http_server
  TARGET_PDB = jtjai_http_server.dbg


#############################################
# Utility command for edit_cache

build CMakeFiles/edit_cache.util: CUSTOM_COMMAND
  COMMAND = cd /Users/wenhongquan/CLionProjects/jtjai_media/build && /opt/homebrew/bin/ccmake -S/Users/wenhongquan/CLionProjects/jtjai_media -B/Users/wenhongquan/CLionProjects/jtjai_media/build
  DESC = Running CMake cache editor...
  pool = console
  restat = 1

build edit_cache: phony CMakeFiles/edit_cache.util


#############################################
# Utility command for rebuild_cache

build CMakeFiles/rebuild_cache.util: CUSTOM_COMMAND
  COMMAND = cd /Users/wenhongquan/CLionProjects/jtjai_media/build && /opt/homebrew/bin/cmake --regenerate-during-build -S/Users/wenhongquan/CLionProjects/jtjai_media -B/Users/wenhongquan/CLionProjects/jtjai_media/build
  DESC = Running CMake to regenerate build system...
  pool = console
  restat = 1

build rebuild_cache: phony CMakeFiles/rebuild_cache.util

# =============================================================================
# Target aliases.

# =============================================================================
# Folder targets.

# =============================================================================

#############################################
# Folder: /Users/wenhongquan/CLionProjects/jtjai_media/build

build all: phony jtjai_media jtjai_http_server

# =============================================================================
# Built-in targets


#############################################
# Re-run CMake if any of its inputs changed.

build build.ninja /Users/wenhongquan/CLionProjects/jtjai_media/build/cmake_install.cmake: RERUN_CMAKE | /Users/wenhongquan/CLionProjects/jtjai_media/CMakeLists.txt /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost/BoostConfig.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost/BoostConfigVersion.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost/vcpkg-cmake-wrapper.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_align/boost_align-config-version.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_align/boost_align-config.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_align/boost_align-targets.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_assert/boost_assert-config-version.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_assert/boost_assert-config.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_assert/boost_assert-targets.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_config/boost_config-config-version.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_config/boost_config-config.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_config/boost_config-targets.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_container/boost_container-config-version.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_container/boost_container-config.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_container/boost_container-targets-debug.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_container/boost_container-targets-release.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_container/boost_container-targets.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_container_hash/boost_container_hash-config-version.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_container_hash/boost_container_hash-config.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_container_hash/boost_container_hash-targets.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_core/boost_core-config-version.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_core/boost_core-config.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_core/boost_core-targets.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_describe/boost_describe-config-version.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_describe/boost_describe-config.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_describe/boost_describe-targets.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_endian/boost_endian-config-version.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_endian/boost_endian-config.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_endian/boost_endian-targets.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_headers/boost_headers-config-version.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_headers/boost_headers-config.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_headers/boost_headers-targets.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_intrusive/boost_intrusive-config-version.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_intrusive/boost_intrusive-config.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_intrusive/boost_intrusive-targets.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_json/boost_json-config-version.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_json/boost_json-config.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_json/boost_json-targets-debug.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_json/boost_json-targets-release.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_json/boost_json-targets.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_move/boost_move-config-version.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_move/boost_move-config.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_move/boost_move-targets.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_mp11/boost_mp11-config-version.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_mp11/boost_mp11-config.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_mp11/boost_mp11-targets.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_predef/boost_predef-config-version.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_predef/boost_predef-config.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_predef/boost_predef-targets.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_static_assert/boost_static_assert-config-version.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_static_assert/boost_static_assert-config.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_static_assert/boost_static_assert-targets.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_system/boost_system-config-version.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_system/boost_system-config.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_system/boost_system-targets-debug.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_system/boost_system-targets-release.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_system/boost_system-targets.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_throw_exception/boost_throw_exception-config-version.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_throw_exception/boost_throw_exception-config.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_throw_exception/boost_throw_exception-targets.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_variant2/boost_variant2-config-version.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_variant2/boost_variant2-config.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_variant2/boost_variant2-targets.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_winapi/boost_winapi-config-version.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_winapi/boost_winapi-config.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_winapi/boost_winapi-targets.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/fmt/fmt-config-version.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/fmt/fmt-config.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/fmt/fmt-targets-debug.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/fmt/fmt-targets-release.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/fmt/fmt-targets.cmake /Users/wenhongquan/gitdata/vcpkg/scripts/buildsystems/vcpkg.cmake /opt/homebrew/share/cmake/Modules/CMakeCInformation.cmake /opt/homebrew/share/cmake/Modules/CMakeCXXInformation.cmake /opt/homebrew/share/cmake/Modules/CMakeCommonLanguageInclude.cmake /opt/homebrew/share/cmake/Modules/CMakeDependentOption.cmake /opt/homebrew/share/cmake/Modules/CMakeFindDependencyMacro.cmake /opt/homebrew/share/cmake/Modules/CMakeGenericSystem.cmake /opt/homebrew/share/cmake/Modules/CMakeInitializeConfigs.cmake /opt/homebrew/share/cmake/Modules/CMakeLanguageInformation.cmake /opt/homebrew/share/cmake/Modules/CMakeSystemSpecificInformation.cmake /opt/homebrew/share/cmake/Modules/CMakeSystemSpecificInitialize.cmake /opt/homebrew/share/cmake/Modules/CheckCSourceCompiles.cmake /opt/homebrew/share/cmake/Modules/CheckIncludeFile.cmake /opt/homebrew/share/cmake/Modules/CheckLibraryExists.cmake /opt/homebrew/share/cmake/Modules/Compiler/AppleClang-C.cmake /opt/homebrew/share/cmake/Modules/Compiler/AppleClang-CXX.cmake /opt/homebrew/share/cmake/Modules/Compiler/CMakeCommonCompilerMacros.cmake /opt/homebrew/share/cmake/Modules/Compiler/Clang.cmake /opt/homebrew/share/cmake/Modules/Compiler/GNU.cmake /opt/homebrew/share/cmake/Modules/FindBoost.cmake /opt/homebrew/share/cmake/Modules/FindPackageHandleStandardArgs.cmake /opt/homebrew/share/cmake/Modules/FindPackageMessage.cmake /opt/homebrew/share/cmake/Modules/FindThreads.cmake /opt/homebrew/share/cmake/Modules/Internal/CMakeCLinkerInformation.cmake /opt/homebrew/share/cmake/Modules/Internal/CMakeCXXLinkerInformation.cmake /opt/homebrew/share/cmake/Modules/Internal/CMakeCommonLinkerInformation.cmake /opt/homebrew/share/cmake/Modules/Internal/CheckSourceCompiles.cmake /opt/homebrew/share/cmake/Modules/Linker/AppleClang-C.cmake /opt/homebrew/share/cmake/Modules/Linker/AppleClang-CXX.cmake /opt/homebrew/share/cmake/Modules/Linker/AppleClang.cmake /opt/homebrew/share/cmake/Modules/Platform/Apple-AppleClang-C.cmake /opt/homebrew/share/cmake/Modules/Platform/Apple-AppleClang-CXX.cmake /opt/homebrew/share/cmake/Modules/Platform/Apple-Clang-C.cmake /opt/homebrew/share/cmake/Modules/Platform/Apple-Clang-CXX.cmake /opt/homebrew/share/cmake/Modules/Platform/Apple-Clang.cmake /opt/homebrew/share/cmake/Modules/Platform/Darwin-Initialize.cmake /opt/homebrew/share/cmake/Modules/Platform/Darwin.cmake /opt/homebrew/share/cmake/Modules/Platform/Linker/Apple-AppleClang-C.cmake /opt/homebrew/share/cmake/Modules/Platform/Linker/Apple-AppleClang-CXX.cmake /opt/homebrew/share/cmake/Modules/Platform/Linker/Apple-AppleClang.cmake /opt/homebrew/share/cmake/Modules/Platform/UnixPaths.cmake CMakeCache.txt CMakeFiles/4.1.1/CMakeCCompiler.cmake CMakeFiles/4.1.1/CMakeCXXCompiler.cmake CMakeFiles/4.1.1/CMakeSystem.cmake
  pool = console


#############################################
# A missing CMake input file is not an error.

build /Users/wenhongquan/CLionProjects/jtjai_media/CMakeLists.txt /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost/BoostConfig.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost/BoostConfigVersion.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost/vcpkg-cmake-wrapper.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_align/boost_align-config-version.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_align/boost_align-config.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_align/boost_align-targets.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_assert/boost_assert-config-version.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_assert/boost_assert-config.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_assert/boost_assert-targets.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_config/boost_config-config-version.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_config/boost_config-config.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_config/boost_config-targets.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_container/boost_container-config-version.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_container/boost_container-config.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_container/boost_container-targets-debug.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_container/boost_container-targets-release.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_container/boost_container-targets.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_container_hash/boost_container_hash-config-version.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_container_hash/boost_container_hash-config.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_container_hash/boost_container_hash-targets.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_core/boost_core-config-version.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_core/boost_core-config.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_core/boost_core-targets.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_describe/boost_describe-config-version.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_describe/boost_describe-config.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_describe/boost_describe-targets.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_endian/boost_endian-config-version.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_endian/boost_endian-config.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_endian/boost_endian-targets.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_headers/boost_headers-config-version.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_headers/boost_headers-config.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_headers/boost_headers-targets.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_intrusive/boost_intrusive-config-version.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_intrusive/boost_intrusive-config.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_intrusive/boost_intrusive-targets.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_json/boost_json-config-version.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_json/boost_json-config.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_json/boost_json-targets-debug.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_json/boost_json-targets-release.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_json/boost_json-targets.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_move/boost_move-config-version.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_move/boost_move-config.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_move/boost_move-targets.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_mp11/boost_mp11-config-version.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_mp11/boost_mp11-config.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_mp11/boost_mp11-targets.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_predef/boost_predef-config-version.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_predef/boost_predef-config.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_predef/boost_predef-targets.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_static_assert/boost_static_assert-config-version.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_static_assert/boost_static_assert-config.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_static_assert/boost_static_assert-targets.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_system/boost_system-config-version.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_system/boost_system-config.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_system/boost_system-targets-debug.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_system/boost_system-targets-release.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_system/boost_system-targets.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_throw_exception/boost_throw_exception-config-version.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_throw_exception/boost_throw_exception-config.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_throw_exception/boost_throw_exception-targets.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_variant2/boost_variant2-config-version.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_variant2/boost_variant2-config.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_variant2/boost_variant2-targets.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_winapi/boost_winapi-config-version.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_winapi/boost_winapi-config.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/boost_winapi/boost_winapi-targets.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/fmt/fmt-config-version.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/fmt/fmt-config.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/fmt/fmt-targets-debug.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/fmt/fmt-targets-release.cmake /Users/wenhongquan/gitdata/vcpkg/installed/arm64-osx/share/fmt/fmt-targets.cmake /Users/wenhongquan/gitdata/vcpkg/scripts/buildsystems/vcpkg.cmake /opt/homebrew/share/cmake/Modules/CMakeCInformation.cmake /opt/homebrew/share/cmake/Modules/CMakeCXXInformation.cmake /opt/homebrew/share/cmake/Modules/CMakeCommonLanguageInclude.cmake /opt/homebrew/share/cmake/Modules/CMakeDependentOption.cmake /opt/homebrew/share/cmake/Modules/CMakeFindDependencyMacro.cmake /opt/homebrew/share/cmake/Modules/CMakeGenericSystem.cmake /opt/homebrew/share/cmake/Modules/CMakeInitializeConfigs.cmake /opt/homebrew/share/cmake/Modules/CMakeLanguageInformation.cmake /opt/homebrew/share/cmake/Modules/CMakeSystemSpecificInformation.cmake /opt/homebrew/share/cmake/Modules/CMakeSystemSpecificInitialize.cmake /opt/homebrew/share/cmake/Modules/CheckCSourceCompiles.cmake /opt/homebrew/share/cmake/Modules/CheckIncludeFile.cmake /opt/homebrew/share/cmake/Modules/CheckLibraryExists.cmake /opt/homebrew/share/cmake/Modules/Compiler/AppleClang-C.cmake /opt/homebrew/share/cmake/Modules/Compiler/AppleClang-CXX.cmake /opt/homebrew/share/cmake/Modules/Compiler/CMakeCommonCompilerMacros.cmake /opt/homebrew/share/cmake/Modules/Compiler/Clang.cmake /opt/homebrew/share/cmake/Modules/Compiler/GNU.cmake /opt/homebrew/share/cmake/Modules/FindBoost.cmake /opt/homebrew/share/cmake/Modules/FindPackageHandleStandardArgs.cmake /opt/homebrew/share/cmake/Modules/FindPackageMessage.cmake /opt/homebrew/share/cmake/Modules/FindThreads.cmake /opt/homebrew/share/cmake/Modules/Internal/CMakeCLinkerInformation.cmake /opt/homebrew/share/cmake/Modules/Internal/CMakeCXXLinkerInformation.cmake /opt/homebrew/share/cmake/Modules/Internal/CMakeCommonLinkerInformation.cmake /opt/homebrew/share/cmake/Modules/Internal/CheckSourceCompiles.cmake /opt/homebrew/share/cmake/Modules/Linker/AppleClang-C.cmake /opt/homebrew/share/cmake/Modules/Linker/AppleClang-CXX.cmake /opt/homebrew/share/cmake/Modules/Linker/AppleClang.cmake /opt/homebrew/share/cmake/Modules/Platform/Apple-AppleClang-C.cmake /opt/homebrew/share/cmake/Modules/Platform/Apple-AppleClang-CXX.cmake /opt/homebrew/share/cmake/Modules/Platform/Apple-Clang-C.cmake /opt/homebrew/share/cmake/Modules/Platform/Apple-Clang-CXX.cmake /opt/homebrew/share/cmake/Modules/Platform/Apple-Clang.cmake /opt/homebrew/share/cmake/Modules/Platform/Darwin-Initialize.cmake /opt/homebrew/share/cmake/Modules/Platform/Darwin.cmake /opt/homebrew/share/cmake/Modules/Platform/Linker/Apple-AppleClang-C.cmake /opt/homebrew/share/cmake/Modules/Platform/Linker/Apple-AppleClang-CXX.cmake /opt/homebrew/share/cmake/Modules/Platform/Linker/Apple-AppleClang.cmake /opt/homebrew/share/cmake/Modules/Platform/UnixPaths.cmake CMakeCache.txt CMakeFiles/4.1.1/CMakeCCompiler.cmake CMakeFiles/4.1.1/CMakeCXXCompiler.cmake CMakeFiles/4.1.1/CMakeSystem.cmake: phony


#############################################
# Clean all the built files.

build clean: CLEAN


#############################################
# Print all primary targets available.

build help: HELP


#############################################
# Make the all target the default.

default all
